package com.xuqm.server.appmanager.repository.sys.v1;

import com.xuqm.server.appmanager.entitys.sys.v1.ApplicationEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface ApplicationRepository extends JpaRepository<ApplicationEntity, Long> {
    ApplicationEntity findFirstByAppNameAndTenantNo(String appName, String tenantNo);
    ApplicationEntity findFirstByAppId(String appId);
    boolean existsByAppId(String appId);
}
